%define pkgname twm
Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary: 	X.Org X11 twm window manager
Name: 		xorg-x11-%{pkgname}
# NOTE: Remove Epoch line if package gets renamed to something like "twm"
Epoch: 		1
Version: 	1.0.3
Release: 	1
License: 	MIT/X11
Group: 		User Interface/X
URL: 		http://www.x.org
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Source0: 	http://xorg.freedesktop.org/releases/individual/lib/%{pkgname}-%{version}.tar.bz2

BuildRequires: 	pkg-config
# checking TWM_LIBS... -lXmu -lXt -lSM -lICE -lXext -lX11 -ldl
BuildRequires: 	libX11-devel
BuildRequires: 	libXt-devel
BuildRequires: 	libXmu-devel
BuildRequires: 	libSM-devel
BuildRequires: 	libICE-devel
BuildRequires: 	libXext-devel
# FIXME: twm fails to link to libXau, however upstream ./configure checks, do
# not check for libXau in X11R7 RC2.  fdo#5065
BuildRequires: 	libXau-devel

# FIXME: monolithic twm packaging has a hard dep on xterm, which might still
# be required.  We'll have to examine the twm configuration files.
#Requires: xterm
Provides: twm

%description
X.Org X11 twm window manager

%prep
%setup -q -n %{pkgname}-%{version}

%build
# FIXME: Work around pointer aliasing warnings from compiler for now
export CFLAGS="$CFLAGS -fno-strict-aliasing"
%configure
make

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

# FIXME: Upstream sources do not create the system wide twm config dir, nor
# install the default config file currently.  We'll work around it here for now.
{
   echo "FIXME: Upstream doesn't install systemwide config by default"
   mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/X11/twm
   install -m 0644 src/system.twmrc $RPM_BUILD_ROOT%{_sysconfdir}/X11/twm/
}
%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING INSTALL NEWS README ChangeLog
%{_bindir}/twm
#%dir %{_mandir}/man1x
%{_mandir}/man1
%_datadir/X11
%dir %{_sysconfdir}/X11/twm
%config %{_sysconfdir}/X11/twm/system.twmrc

%changelog
* Sat Sep 09 2007 Karsten Brockmann <arcam@ccux-linux.de> 1:1.0.3-1
- Version update
* Sun Jul 02 2006 Christian Metzen <metzench@ccux-linux.de> 1:1.0.1-1
- Initial release
